Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::objects::StructTreeEntity Class Reference
Inheritance diagram for foxit::pdf::objects::StructTreeEntity:

## Public Types
enum | StructTreeEntityType { e_UnknownType = -1, e_StructTreeEntityTypeElement = 0, e_StructTreeEntityTypeMarkedContent = 1, e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Public Member Functions
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (const StructTreeEntity &other)
| Constructor, with another structure element entity object. More...
| ~StructTreeEntity ()
| Destructor.
PDFPage | GetPage () const
| Get the related PDF page. More...
StructTreeEntityType | GetType () const
| Get structure tree entity type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const StructTreeEntity &other) const
| Not equal operator. More...
StructTreeEntity & | operator= (const StructTreeEntity &other)
| Assign operator. More...
bool | operator== (const StructTreeEntity &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents structure tree entity.

## Member Enumeration Documentation

## ◆ StructTreeEntityType

enum foxit::pdf::objects::StructTreeEntity::StructTreeEntityType

Enumeration for structure tree entity type.

Values of this enumeration should be used alone.

Enumerator
e_UnknownType | Structure tree entity type: unknown.
e_StructTreeEntityTypeElement | Structure tree entity type: Element, which represents a structure element.
e_StructTreeEntityTypeMarkedContent | Structure tree entity type: MarkedContent, which represents a marked-content item.
e_StructTreeEntityTypeObjectContent | Structure tree entity type: ObjectContent, which represents a PDF object content item, such as annotation and XObject.

## Constructor & Destructor Documentation

## ◆ StructTreeEntity()

foxit::pdf::objects::StructTreeEntity::StructTreeEntity | ( | const StructTreeEntity & | other | ) |

Constructor, with another structure element entity object.

Parameters

  [in] | other | Another structure element entity object.

## Member Function Documentation

## ◆ GetPage()

PDFPage foxit::pdf::objects::StructTreeEntity::GetPage | ( |  | ) | const

Get the related PDF page.

Returns
  A PDF page object which is the related PDF page.

## ◆ GetType()

StructTreeEntityType foxit::pdf::objects::StructTreeEntity::GetType | ( |  | ) | const

Get structure tree entity type.

Returns
  Structure tree entity type. Please refer to values starting from StructTreeEntity::e_StructTreeEntityTypeElement and this would be one of these values.

## ◆ IsEmpty()

bool foxit::pdf::objects::StructTreeEntity::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::objects::StructTreeEntity::operator!= | ( | const StructTreeEntity & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another structure element entity object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

StructTreeEntity& foxit::pdf::objects::StructTreeEntity::operator= | ( | const StructTreeEntity & | other | ) |

Assign operator.

Parameters

  [in] | other | Another structure element entity object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::objects::StructTreeEntity::operator== | ( | const StructTreeEntity & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another structure element entity object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.